package com.hys.app.mapper.erp;

import com.hys.app.framework.database.mybatisplus.base.BaseMapperX;
import com.hys.app.model.erp.dos.WarehouseOutItemDO;
import com.hys.app.model.erp.dto.WarehouseOutItemQueryParams;
import com.hys.app.framework.database.WebPage;
import com.hys.app.model.erp.vo.WarehouseOutItemV1;
import com.hys.app.model.erp.vo.WarehouseOutItemVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 出库单商品明细的Mapper
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
public interface WarehouseOutItemMapper extends BaseMapperX<WarehouseOutItemDO> {

    default WebPage<WarehouseOutItemDO> selectPage(WarehouseOutItemQueryParams params) {
        return lambdaQuery()
                .orderByDesc(WarehouseOutItemDO::getId)
                .page(params);
    }


    List<WarehouseOutItemV1> queryList(@Param("request") WarehouseOutItemQueryParams request);

    Long selectCount(@Param("request") WarehouseOutItemQueryParams request);



}

